# Retrieve signed scorecard URL

Returns a signed URL that can be used in the browser to open the [scorecard](https://docs.moneythumb.com/api/pdf-insights/scorecard) page without signing in.
⚠️ **Warning:** In order to use this URL in an iframe, your domain will need to be whitelisted. Please contact [support@moneythumb.com](https://www.moneythumb.com/support/) for assistance."

Endpoint: POST /scorecard/signedUrl
Version: 1.5
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)

## Path parameters:

  - `version` (string, required)
    The version of the API.

## Request fields (multipart/form-data):

  - `appid` (integer, required)
    Insights-assigned application identifer.

  - `landingName` (string)
    The name of the landing URL. You can use either `SIGNED_SCORECARD` or `SIGNED_REVIEW`. To  get a new landing, use `SIGNED_REVIEW`.

## Response 200:

  - `200` (unknown)
    Signed Scorecard URL.

## Response 200 fields (application/json):

  - `url` (string)
    Example: https://insights.moneythumb.com/?token=abc

## Response 400:

  - `400` (unknown)
    Bad Request - Invalid Inputs

## Response 400 fields (application/json):

  - `error` (string)
    Example: No file found to process

## Response 401:

  - `401` (unknown)
    Bad Request - Authentication Error

## Response 401 fields (application/json):

  - `error` (string)
    Example: Bad token

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `error` (string)
    Example: Encountered an unknown error. It has been reported. Please contact support@moneythumb.com for any questions.

  - `requestId` (string)
    Unique identifier for the request, useful for tracing.

